import xml.dom.minidom

def createKML(points):
  kmlDoc = xml.dom.minidom.Document()
  kmlElement = kmlDoc.createElementNS('http://earth.google.com/kml/2.2','kml')
  kmlElement = kmlDoc.appendChild(kmlElement)
  documentElement = kmlDoc.createElement('Document')
  documentElement = kmlElement.appendChild(documentElement)

  for point in points:
  	placemarkElement = kmlDoc.createElement('Placemark')

  	descriptionElement = kmlDoc.createElement('description')
  	descriptionText = kmlDoc.createTextNode(point[0])
  	descriptionElement.appendChild(descriptionText)
  	placemarkElement.appendChild(descriptionElement)

  	pointElement = kmlDoc.createElement('Point')
  	placemarkElement.appendChild(pointElement)
  	coorElement = kmlDoc.createElement('coordinates')
  	coordinates='%s,%s,0' % (point[2],point[1])
  	coorElement.appendChild(kmlDoc.createTextNode(coordinates))
  	pointElement.appendChild(coorElement)
  	documentElement.appendChild(placemarkElement)
  return(kmlDoc.toprettyxml(' '))  
